


#include "kz-dialogs-enum-types.h"
#include "kz-about-dialog.h"
#include "kz-copy-format-dialog.h"
#include "kz-links-dialog.h"
#include "kz-password-manager-dialog.h"
#include "kz-print-dialog.h"
#include "kz-prompt-dialog.h"

/* enumerations from "kz-print-dialog.h" */
GType
kz_print_range_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { KZ_PRINT_RANGE_ALL_PAGES, "KZ_PRINT_RANGE_ALL_PAGES", "all-pages" },
      { KZ_PRINT_RANGE_SPECIFIED_PAGES, "KZ_PRINT_RANGE_SPECIFIED_PAGES", "specified-pages" },
      { KZ_PRINT_RANGE_SELECTION, "KZ_PRINT_RANGE_SELECTION", "selection" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("KzPrintRange", values);
  }
  return etype;
}

/* enumerations from "kz-prompt-dialog.h" */
GType
prompt_type_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { TYPE_ALERT, "TYPE_ALERT", "alert" },
      { TYPE_ALERT_CHECK, "TYPE_ALERT_CHECK", "alert-check" },
      { TYPE_CONFIRM, "TYPE_CONFIRM", "confirm" },
      { TYPE_CONFIRM_CHECK, "TYPE_CONFIRM_CHECK", "confirm-check" },
      { TYPE_PROMPT, "TYPE_PROMPT", "prompt" },
      { TYPE_PROMPT_USER_PASS, "TYPE_PROMPT_USER_PASS", "prompt-user-pass" },
      { TYPE_PROMPT_PASS, "TYPE_PROMPT_PASS", "prompt-pass" },
      { TYPE_SELECT, "TYPE_SELECT", "select" },
      { TYPE_UNIVERSAL, "TYPE_UNIVERSAL", "universal" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("PromptType", values);
  }
  return etype;
}



